#pragma once

#include <ds-model/model.h>
#include <model/modelconst.h>

template <>
struct DSToEnum<dsModel::OutputType, dss::ChannelType, void> {
  static std::optional<dsModel::OutputType> tryTo(dss::ChannelType x);
};

template <>
struct DSToEnum<dsModel::MeasurementUsage, int, void> {
  static std::optional<dsModel::MeasurementUsage> tryTo(int x);
};

template <>
struct DSToEnum<dsModel::MeasurementType, dss::SensorType, void> {
  static std::optional<dsModel::MeasurementType> tryTo(dss::SensorType x);
};

namespace dsApartment {} // namespace dsApartment
