#pragma once

#include <ds-model/model-fwd.h>
#include <ds/asio/ds-signal.h>
#include <ds/asio/resource-fwd.h>
#include <event.h>

namespace dsBackend {

class MeasurementsSource : boost::noncopyable {
public:
  virtual ~MeasurementsSource() = default;

  virtual ds::Slots<dsModel::Measurement>& next() = 0;
};
std::unique_ptr<MeasurementsSource> makeMeasurementsSource(ds::asio::ResourceBase&, dss::EventInterpreter&);

} // namespace dsBackend
