#pragma once

#include <ds-model/model-fwd.h>
#include <ds/asio/ds-signal.h>
#include <ds/asio/resource-fwd.h>
#include "model/apartment.h"

namespace dsBackend {

class TimedMeasurementsSource : boost::noncopyable {
public:
  virtual ~TimedMeasurementsSource() = default;

  virtual ds::Slots<dsModel::Measurement>& next() = 0;
};
std::unique_ptr<TimedMeasurementsSource> makeTimedMeasurementsSource(ds::asio::ResourceBase&, dss::EventInterpreter&, dss::Apartment&);

} // namespace dsBackend
